# NagCollect -- Nagios Data Collector for Passive Checks
# Copyright (c)2009-2010 Alexander Barton, alex@barton.de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# Please read the file COPYING, README and AUTHORS for more information.
#

SERVICE="Uptime_p"
STATUS=0

uptime=`LC_ALL=C uptime`
uptime=${uptime%,*user*}
uptime=${uptime##* up }

os="`uname -s` `uname -r`"

if [ `uname` = "Darwin" ]; then
	os="`sw_vers -productName` `sw_vers -productVersion`"
	case "$os" in
		*Server*)
			case "$uptime" in
				*" days, "*)
					STATUS=0
					;;
				"1 day, "*|*" hrs")
					STATUS=1
					;;
				*:*)
					STATUS=2
					;;
				*)
					STATUS=3
					;;
			esac
			;;
	esac
fi

TEXT="Uptime: $uptime - $os"
