#!/bin/sh
#
# NagCollect -- Nagios Data Collector for Passive Checks
# Copyright (c)2009 Alexander Barton, alex@barton.de
#
logger -t "launch-osx.sh" -s "starting ..."
[ -r /usr/local/etc/nagcollect.conf ] && . /usr/local/etc/nagcollect.conf
if [ -n "$SERVER_URL" -a -n "$CLIENT_KEY" -a -n "$CLIENT_ID" ]; then
	logger -t "launch-osx.sh" -s "Configuration valid, loading LaunchDaemon script ..."
	launchctl load -w /Library/LaunchDaemons/de.barton.nagcollect
else
	logger -t "launch-osx.sh" -s "Configuration not valid, NOT LOADING LaunchDaemon script!"
fi
logger -t "launch-osx.sh" -s "done."
