# NagCollect -- Nagios Data Collector for Passive Checks
# Copyright (c)2009 Alexander Barton, alex@barton.de

SERVICE="Sys-Load_p"

uptime=`LC_ALL=C uptime`
load=${uptime##*:}

load01=`echo $load | cut -d' ' -f1 | cut -d'.' -f1`
load05=`echo $load | cut -d' ' -f2 | cut -d'.' -f1`
load15=`echo $load | cut -d' ' -f3 | cut -d'.' -f1`

if [ $load01 -ge 8 -o $load05 -ge 6 -o $load15 -ge 3 ]; then
	STATUS=2
	TEXT="ERROR - Load average: $load"
elif [ $load01 -ge 4 -o $load05 -ge 3 -o $load15 -ge 2 ]; then
	STATUS=1
	TEXT="WARNING - Load average: $load"
else
	STATUS=0
	TEXT="OK - Load average: $load"
fi