#!/bin/sh
#
# NagCollect -- Nagios Data Collector for Passive Checks
# Copyright (c)2009-2010 Alexander Barton, alex@barton.de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# Please read the file COPYING, README and AUTHORS for more information.
#

logger -t "fix-usr-local.sh" -s "starting ..."

chown root:wheel /usr/local /usr/local/etc /usr/local/sbin
chmod 755 /usr/local /usr/local/etc /usr/local/sbin

chown root:wheel /usr/local/etc/nagcollect.conf
chmod 640 /usr/local/etc/nagcollect.conf

chown root:wheel /usr/local/sbin/nagcollect
chmod 755 /usr/local/sbin/nagcollect

chown -R root:wheel /usr/local/lib/nagcollect
chmod -R a+rX /usr/local/lib/nagcollect

logger -t "fix-usr-local.sh" -s "done."
